Subject: Re: [PATCHv8 net-next 2/4] sunvnet: make transmit path zero-copy in the kernel

From: David L Stevens <[email-masked]>
Date: Mon, 29 Sep 2014 16:44:08 -0400

On 09/29/2014 04:29 PM, David Miller wrote:

> 
> It doesn't work to liberate SKBs in the TX ring purely from the
> ->ndo_start_xmit() method.
> 
> All SKBs given to a device must be liberated in a finite, short,
> amount of time.

I did consider putting a garbage-collector via timer on them, since
we got such a boost from not ACKing every packet. I guess the question
is "how short?"

For example, I could leave the "normal" path like this and just start/mod
a timer to do it after 1 sec if we haven't done it through start_xmit. Do
you think that's sufficiently short?

							+-DLS